OpenVDB 11.0.0

Loading...
Searching...
No Matches
Public Member Functions | Public Attributes | List of all members
MeshToVoxelEdgeData::EdgeData Struct Reference

Internal edge data type. More...

`#include <openvdb/tools/MeshToVolume.h>`

## Public Member Functions
| EdgeData (float dist=1.0)
bool | operator< (const EdgeData &) const
bool | operator> (const EdgeData &) const
template<class T >
EdgeData | operator+ (const T &) const
template<class T >
EdgeData | operator- (const T &) const
EdgeData | operator- () const
bool | operator== (const EdgeData &rhs) const

## Public Attributes
float | mXDist
float | mYDist
float | mZDist
Index32 | mXPrim
Index32 | mYPrim
Index32 | mZPrim

## Detailed Description

Internal edge data type.

## Constructor & Destructor Documentation

## ◆ EdgeData()

EdgeData | ( | float | dist = `1.0` | ) |
| inline

## Member Function Documentation

## ◆ operator+()

template<class T >

EdgeData operator+ | ( | const T & |  | ) | const
| inline

## ◆ operator-() [1/2]

EdgeData operator- | ( |  | ) | const
| inline

## ◆ operator-() [2/2]

template<class T >

EdgeData operator- | ( | const T & |  | ) | const
| inline

## ◆ operator<()

bool operator< | ( | const EdgeData & |  | ) | const
| inline

Required by several of the tree nodes

Note
  These methods don't perform meaningful operations.

## ◆ operator==()

bool operator== | ( | const EdgeData & | rhs | ) | const
| inline

## ◆ operator>()

bool operator> | ( | const EdgeData & |  | ) | const
| inline

## Member Data Documentation

## ◆ mXDist

float mXDist

## ◆ mXPrim

Index32 mXPrim

## ◆ mYDist

float mYDist

## ◆ mYPrim

Index32 mYPrim

## ◆ mZDist

float mZDist

## ◆ mZPrim

Index32 mZPrim